import 'package:flutter/material.dart';

/// F组件
abstract class FWidget extends Widget {
  static bool _hasInit = false;
  static double _maxWebMobileWidth = 600;

  /// web移动端最大适配宽度
  static double get maxWebMobileFitWidth => _maxWebMobileWidth;

  /// 全局初始化
  static void init({double? maxWebMobileWidth}) {
    if (_hasInit) return;
    if (maxWebMobileWidth != null) _maxWebMobileWidth = maxWebMobileFitWidth;
    _hasInit = true;
  }
//
}

/// F组件建造器
typedef FWidgetBuilder = FWidget Function(BuildContext context);

/// F组件建造器
typedef FWidgetVoidBuilder = FWidget Function();
