import 'package:fis_ui/define.dart';
import 'package:fis_ui/utils/sizer/sizer.dart';
import 'package:flutter/material.dart';

extension FBuildContextExtensions on BuildContext {
  /// 是否移动设备
  bool get isMobileDevice => Sizer.ins.isMobile;

  /// 响应式选择布局
  ///
  /// [mobile] 移动端布局建造器
  ///
  /// [desktop] 桌面端布局建造器
  FWidget fResponsive({
    required FWidgetBuilder mobile,
    required FWidgetBuilder desktop,
  }) {
    return isMobileDevice ? mobile.call(this) : desktop.call(this);
  }

  /// 响应式选择布局
  ///
  /// [mobile] 移动端布局建造器
  ///
  /// [desktop] 桌面端布局建造器
  FWidget fResponsiveVoid({
    required FWidgetVoidBuilder mobile,
    required FWidgetVoidBuilder desktop,
  }) {
    return isMobileDevice ? mobile.call() : desktop.call();
  }
}
