import 'package:flutter/material.dart';

import '../index.dart';

class FAvatar extends StatelessWidget implements FWidget {
  const FAvatar({
    Key? key,
    this.size = 70,
    this.borderSize = 0,
    this.borderColor,
    this.errorBuilder,
    required this.imageProvider,
  }) : super(key: key);

  final double size;
  final double borderSize;
  final Color? borderColor;
  final ImageProvider imageProvider;
  final ImageErrorWidgetBuilder? errorBuilder;

  @override
  FWidget build(BuildContext context) {
    return FContainer(
        width: size,
        height: size,
        decoration: BoxDecoration(
          border: borderSize > 0
              ? Border.all(
                  color: borderColor ?? Colors.white,
                  width: borderSize,
                )
              : null,
          borderRadius: BorderRadius.circular(size),
        ),
        clipBehavior: Clip.antiAlias,
        child: FImage(
          image: imageProvider,
          gaplessPlayback: true,
          errorBuilder: errorBuilder,
        ));
  }
}
