import 'package:fis_ui/define.dart';
import 'package:fis_ui/interface/active_widget.dart';
import 'package:fis_ui/interface/interactive_container.dart';
import 'package:fis_ui/widgets/container/sized_box.dart';
import 'package:fis_ui/widgets/functional/button.dart';
import 'package:fis_ui/widgets/functional/text.dart';
import 'package:flutter/material.dart';

class FBottomSubmitButton extends StatelessWidget implements FActiveWidget {
  FBottomSubmitButton({
    required this.title,
    this.name,
    required this.businessParent,
    this.onPressed,
    this.width,
    this.height,
    this.radius,
  });

  ///按钮内容
  final String title;

  ///按钮名称
  @override
  final String? name;

  ///高度
  final double? height;

  ///宽度
  final double? width;

  ///圆角
  final double? radius;

  ///点击事件
  final VoidCallback? onPressed;
  @override
  final FInteractiveContainer businessParent;

  @override
  FWidget build(BuildContext context) {
    return FSizedBox(
      height: height ?? 48,
      width: width,
      child: FElevatedButton(
        child: FText(title),
        onPressed: onPressed,
        style: ButtonStyle(
          padding: MaterialStateProperty.all(
            EdgeInsets.symmetric(
              vertical: 15,
              horizontal: 25,
            ),
          ),
          shape: MaterialStateProperty.all(
            RoundedRectangleBorder(
              borderRadius: BorderRadius.circular(radius ?? 0),
            ),
          ),
        ),
        businessParent: businessParent,
        name: name ?? title,
      ),
    );
  }
}

class FBottomCanCelButton extends StatelessWidget implements FActiveWidget {
  const FBottomCanCelButton({
    required this.title,
    required this.businessParent,
    this.name,
    this.onPressed,
    this.width,
    this.height,
    this.radius,
  });

  ///按钮内容
  final String title;

  ///高度
  final double? height;

  ///宽度
  final double? width;

  ///圆角
  final double? radius;

  ///点击事件
  final VoidCallback? onPressed;

  @override
  FWidget build(BuildContext context) {
    return FSizedBox(
      height: height ?? 48,
      width: width,
      child: FOutlinedButton(
        child: FText(title),
        onPressed: onPressed,
        businessParent: businessParent,
        name: name ?? title,
        style: ButtonStyle(
          backgroundColor: MaterialStateProperty.all(
            Colors.white,
          ),
          shape: MaterialStateProperty.all(
            RoundedRectangleBorder(
              borderRadius: BorderRadius.circular(radius ?? 0),
            ),
          ),
          padding: MaterialStateProperty.all(
            EdgeInsets.symmetric(vertical: 15, horizontal: 25),
          ),
        ),
      ),
    );
  }

  @override
  final FInteractiveContainer businessParent;

  @override
  final String? name;
}
