import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// 模态弹框
class FDialog extends Dialog implements FWidget {
  static const EdgeInsets C_DEFAULT_INSET_PADDING =
      EdgeInsets.symmetric(horizontal: 40.0, vertical: 24.0);

  const FDialog({
    Key? key,
    backgroundColor,
    double? elevation,
    Duration insetAnimationDuration = const Duration(milliseconds: 100),
    Curve insetAnimationCurve = Curves.decelerate,
    EdgeInsets insetPadding = C_DEFAULT_INSET_PADDING,
    Clip clipBehavior = Clip.none,
    shape,
    alignment,
    child,
  }) : super(
          key: key,
          backgroundColor: backgroundColor,
          elevation: elevation,
          insetAnimationDuration: insetAnimationDuration,
          insetAnimationCurve: insetAnimationCurve,
          insetPadding: insetPadding,
          clipBehavior: clipBehavior,
          shape: shape,
          alignment: alignment,
          child: child,
        );
}
