import 'package:custom_pop_up_menu/custom_pop_up_menu.dart';
import 'package:flutter/material.dart';
import '../define.dart';

export 'package:custom_pop_up_menu/custom_pop_up_menu.dart'
    show PressType, CustomPopupMenuController, PreferredPosition;

/// 自定义弹出菜单
///
/// [child] 外显子节点
///
/// [pressType] 触发弹出方式
///
/// [menuBuilder] 菜单构建器
///
/// [showArrow] 是否显示箭头
///
/// [arrowSize] 箭头尺寸
///
/// [arrowColor] 箭头颜色
///
/// [barrierColor] 罩层背景颜色
///
/// [position] 弹出方向
///
/// [horizontalMargin] 水平外距
///
/// [verticalMargin] 垂直外距
///
/// [controller] 控制器
///
/// [menuOnChange] 弹出状态变更事件
class FCustomPopupMenu extends CustomPopupMenu implements FWidget {
  FCustomPopupMenu({
    required Widget child,
    required PressType pressType,
    bool showArrow = true,
    double arrowSize = 10.0,
    Color arrowColor = const Color(0xFF4C4C4C),
    Color barrierColor = Colors.black12,
    double horizontalMargin = 10.0,
    double verticalMargin = 10.0,
    CustomPopupMenuController? controller,
    required Widget Function() menuBuilder,
    PreferredPosition? position,
    void Function(bool)? menuOnChange,
  }) : super(
          child: child,
          pressType: pressType,
          menuBuilder: menuBuilder,
          showArrow: showArrow,
          arrowSize: arrowSize,
          arrowColor: arrowColor,
          barrierColor: barrierColor,
          horizontalMargin: horizontalMargin,
          verticalMargin: verticalMargin,
          controller: controller,
          position: position,
          menuOnChange: menuOnChange,
        );
}
