import 'package:fis_theme/theme.dart';
import 'package:fis_ui/index.dart';
import 'package:flutter/material.dart';

class FTabButtonGroup extends FStatefulWidget {
  FTabButtonGroup(
    this.tabButtonList, {
    this.margin = const EdgeInsets.only(right: 8),
    Key? key,
  }) : super(key: key);

  final List<FWidget>? tabButtonList;
  final EdgeInsetsGeometry? margin;
  @override
  FState<FTabButtonGroup> createState() => _TabButtonGroupState();
}

class _TabButtonGroupState extends FState<FTabButtonGroup> {
  @override
  FWidget build(BuildContext context) {
    return FColumn(
      children: [
        FContainer(
          child: FFlex(
            direction: Axis.horizontal,
            mainAxisAlignment: MainAxisAlignment.start,
            children: [
              FContainer(
                height: 36,
                alignment: Alignment.center,
                margin: widget.margin,
                child: FMouseRegion(
                  cursor: SystemMouseCursors.click,
                  child: FRow(
                    children: widget.tabButtonList ?? [],
                  ),
                ),
              ),
            ],
          ),
        ),
        FSizedBox(
          height: 4,
          child: FContainer(
            height: 4,
            decoration: BoxDecoration(color: FTheme.ins.colorScheme.primary),
          ),
        )
      ],
    );
  }
}
