import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// 动态容器组件
class FAnimatedContainer extends AnimatedContainer implements FWidget {
  FAnimatedContainer({
    Key? key,
    required Duration duration,
    AlignmentGeometry? alignment,
    EdgeInsetsGeometry? padding,
    Color? color,
    Decoration? decoration,
    Decoration? foregroundDecoration,
    double? width,
    double? height,
    BoxConstraints? constraints,
    EdgeInsetsGeometry? margin,
    Matrix4? transform,
    AlignmentGeometry? transformAlignment,
    FWidget? child,
    Clip clipBehavior = Clip.none,
    Curve curve = Curves.linear,
    VoidCallback? onEnd,
  }) : super(
          key: key,
          duration: duration,
          alignment: alignment,
          padding: padding,
          color: color,
          decoration: decoration,
          foregroundDecoration: foregroundDecoration,
          width: width,
          height: height,
          constraints: constraints,
          margin: margin,
          transform: transform,
          transformAlignment: transformAlignment,
          child: child,
          clipBehavior: clipBehavior,
          curve: curve,
          onEnd: onEnd,
        );
}
