import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

typedef FAsyncWidgetBuilder<T> = FWidget Function(
    BuildContext context, AsyncSnapshot<T> snapshot);

/// 异步加载组件构建器
class FFutureBuilder<T> extends FutureBuilder<T> implements FWidget {
  const FFutureBuilder({
    Key? key,
    required FAsyncWidgetBuilder<T> builder,
    Future<T>? future,
    T? initialData,
  }) : super(
          key: key,
          builder: builder,
          future: future,
          initialData: initialData,
        );
}
