import 'package:fis_ui/define.dart';
import 'package:fis_ui/widgets/shell.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';

typedef FValueWidgetBuilder<T> = FWidget Function(
  BuildContext context,
  T value,
  FWidget? child,
);

/// 监听数据变化的组件构建器
class FValueListenableBuilder<T> extends ValueListenableBuilder<T>
    implements FWidget {
  FValueListenableBuilder({
    Key? key,
    required ValueListenable<T> valueListenable,
    required FValueWidgetBuilder<T> builder,
    FWidget? child,
  }) : super(
          valueListenable: valueListenable,
          builder: (context, value, child) {
            return builder(context, value, FWidgetShell.createFWidget(child));
          },
        );
}
