/// 多选框的初步封装

import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

class FRectangleCheckbox<T> extends StatefulWidget implements FWidget {
  FRectangleCheckbox(
      {Key? key,
      this.onChange,
      required this.value,
      this.isCheck = false,
      this.borderColor = const Color.fromRGBO(141, 141, 141, 1)})
      : super(key: key);
  final void Function(T value, bool? isCheck)? onChange;
  final T value;
  final Color borderColor;
  bool? isCheck;

  @override
  State<FRectangleCheckbox> createState() => _FRectangleCheckboxState();
}

class _FRectangleCheckboxState<T> extends State<FRectangleCheckbox<T>> {
  bool isClick = false;

  Widget _buildChild() {
    var childs;
    isClick
        ? childs = Container(
            decoration: BoxDecoration(
              borderRadius: BorderRadius.circular(2),
              color: Theme.of(context).primaryColor,
            ),
            child: Center(
              child: Container(
                child: Icon(
                  Icons.check,
                  size: 15,
                  color: Colors.white,
                ),
              ),
            ),
          )
        : childs = Text('');
    return childs;
  }

  @override
  Widget build(BuildContext context) {
    isClick = widget.isCheck!;
    return MouseRegion(
      child: GestureDetector(
        onTap: () {
          setState(() {
            isClick = !isClick;
            widget.isCheck = isClick;
          });
          widget.onChange?.call(widget.value, isClick);
        },
        child: Container(
          width: 20,
          height: 20,
          decoration: BoxDecoration(
            border: Border.all(
              color: widget.borderColor,
              width: 0.7,
            ),
            borderRadius: BorderRadius.circular(2),
          ),
          child: _buildChild(),
        ),
      ),
      cursor: SystemMouseCursors.click,
    );
  }
}
