import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// Material组件
class FMaterial extends Material implements FWidget {
  const FMaterial({
    Key? key,
    FWidget? child,
    Color? color,
    Color? shadowColor,
    TextStyle? textStyle,
    BorderRadiusGeometry? borderRadius,
    ShapeBorder? shape,
    MaterialType type = MaterialType.canvas,
    double elevation = 0.0,
    bool borderOnForeground = true,
    Clip clipBehavior = Clip.none,
    Duration animationDuration = kThemeChangeDuration,
  }) : super(
          key: key,
          child: child,
          color: color,
          shadowColor: shadowColor,
          textStyle: textStyle,
          borderRadius: borderRadius,
          shape: shape,
          type: type,
          elevation: elevation,
          borderOnForeground: borderOnForeground,
          clipBehavior: clipBehavior,
          animationDuration: animationDuration,
        );
}
