import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// 通用容器
class FContainer extends Container implements FWidget {
  /// 通用容器
  FContainer({
    Key? key,
    AlignmentGeometry? alignment,
    EdgeInsetsGeometry? padding,
    Color? color,
    Decoration? decoration,
    Decoration? foregroundDecoration,
    double? width,
    double? height,
    BoxConstraints? constraints,
    EdgeInsetsGeometry? margin,
    Matrix4? transform,
    AlignmentGeometry? transformAlignment,
    FWidget? child,
    Clip clipBehavior = Clip.none,
  }) : super(
          key: key,
          alignment: alignment,
          padding: padding,
          color: color,
          decoration: decoration,
          foregroundDecoration: foregroundDecoration,
          width: width,
          height: height,
          constraints: constraints,
          margin: margin,
          transform: transform,
          transformAlignment: transformAlignment,
          child: child,
          clipBehavior: clipBehavior,
        );
}

/// 内间距容器
class FPadding extends Padding implements FWidget {
  /// 内间距容器
  ///
  /// [padding] 内间距
  ///
  /// [child] 子组件
  const FPadding({
    Key? key,
    required EdgeInsetsGeometry padding,
    FWidget? child,
  }) : super(
          key: key,
          padding: padding,
          child: child,
        );
}
