import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// 尺寸限制容器
class FSizedBox extends SizedBox implements FWidget {
  /// 尺寸限制容器
  ///
  /// [width] 宽度
  ///
  /// [height] 高度
  ///
  /// [child] 子组件
  const FSizedBox({
    Key? key,
    double? width,
    double? height,
    FWidget? child,
  }) : super(
          key: key,
          width: width,
          height: height,
          child: child,
        );

  /// 尺寸限制为父组件允许的最大范围
  ///
  /// [child] 子组件
  const FSizedBox.expand({Key? key, FWidget? child})
      : super(
          key: key,
          width: double.infinity,
          height: double.infinity,
          child: child,
        );

  /// 尺寸限制为父组件允许的最小范围
  ///
  /// [child] 子组件
  const FSizedBox.shrink({Key? key, FWidget? child})
      : super(
          key: key,
          width: 0,
          height: 0,
          child: child,
        );
}
