import 'package:fis_ui/define.dart';
import 'package:flutter/widgets.dart';

/// 无状态组件
abstract class FStatelessWidget extends StatelessWidget implements FWidget {
  const FStatelessWidget({Key? key}) : super(key: key);

  @protected
  FWidget build(BuildContext context);
}

/// 状态组件
abstract class FStatefulWidget extends StatefulWidget implements FWidget {
  const FStatefulWidget({Key? key}) : super(key: key);

  @protected
  @factory
  FState createState();
}

@optionalTypeArgs
abstract class FState<T extends FStatefulWidget> extends State {
  T get widget => super.widget as T;

  @protected
  FWidget build(BuildContext context);
}
