import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

typedef FDragTargetBuilder<T> = FWidget Function(
  BuildContext context,
  List<T?> candidateData,
  List<dynamic> rejectedData,
);

/// 可拖动组件目标组件
class FDragTarget<T extends Object> extends DragTarget<T> implements FWidget {
  const FDragTarget({
    Key? key,
    required FDragTargetBuilder<T> builder,
    DragTargetWillAccept<T>? onWillAccept,
    DragTargetAccept<T>? onAccept,
    DragTargetAcceptWithDetails<T>? onAcceptWithDetails,
    DragTargetLeave<T>? onLeave,
    DragTargetMove<T>? onMove,
    HitTestBehavior hitTestBehavior = HitTestBehavior.translucent,
  }) : super(
          key: key,
          builder: builder,
          onWillAccept: onWillAccept,
          onAccept: onAccept,
          onAcceptWithDetails: onAcceptWithDetails,
          onLeave: onLeave,
          onMove: onMove,
          hitTestBehavior: hitTestBehavior,
        );
}
