import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// 可拖动组件
class FDraggable<T extends Object> extends Draggable<T> implements FWidget {
  const FDraggable({
    Key? key,
    required FWidget child,
    required FWidget feedback,
    T? data,
    Axis? axis,
    FWidget? childWhenDragging,
    DragAnchorStrategy dragAnchorStrategy = childDragAnchorStrategy,
    Axis? affinity,
    int? maxSimultaneousDrags,
    VoidCallback? onDragStarted,
    DragUpdateCallback? onDragUpdate,
    DraggableCanceledCallback? onDraggableCanceled,
    DragEndCallback? onDragEnd,
    VoidCallback? onDragCompleted,
    Offset feedbackOffset = Offset.zero,
    bool ignoringFeedbackSemantics = true,
    bool rootOverlay = false,
    HitTestBehavior hitTestBehavior = HitTestBehavior.deferToChild,
  }) : super(
          key: key,
          child: child,
          feedback: feedback,
          data: data,
          axis: axis,
          childWhenDragging: childWhenDragging,
          dragAnchorStrategy: dragAnchorStrategy,
          affinity: affinity,
          maxSimultaneousDrags: maxSimultaneousDrags,
          onDragStarted: onDragStarted,
          onDragUpdate: onDragUpdate,
          onDraggableCanceled: onDraggableCanceled,
          onDragEnd: onDragEnd,
          onDragCompleted: onDragCompleted,
          feedbackOffset: feedbackOffset,
          ignoringFeedbackSemantics: ignoringFeedbackSemantics,
          rootOverlay: rootOverlay,
          hitTestBehavior: hitTestBehavior,
        );
}
