import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// 列容器
class FColumn extends Column implements FWidget {
  /// 列容器
  ///
  /// [textDirection] 排列方向
  ///
  /// [textBaseline] 对齐基线
  ///
  /// [mainAxisAlignment] 主轴对齐方式
  ///
  /// [mainAxisSize] 主轴占用空间
  ///
  /// [crossAxisAlignment] 交叉轴对齐方式
  ///
  /// [verticalDirection] 垂直排列方向
  ///
  /// [children] 子组件集合
  FColumn({
    Key? key,
    TextDirection textDirection = TextDirection.ltr,
    TextBaseline textBaseline = TextBaseline.alphabetic,
    MainAxisAlignment mainAxisAlignment = MainAxisAlignment.start,
    MainAxisSize mainAxisSize = MainAxisSize.max,
    CrossAxisAlignment crossAxisAlignment = CrossAxisAlignment.center,
    VerticalDirection verticalDirection = VerticalDirection.down,
    List<FWidget> children = const <FWidget>[],
  }) : super(
          key: key,
          mainAxisAlignment: mainAxisAlignment,
          mainAxisSize: mainAxisSize,
          crossAxisAlignment: crossAxisAlignment,
          verticalDirection: verticalDirection,
          textDirection: textDirection,
          textBaseline: textBaseline,
          children: children,
        );
}
