import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// 单子节点自定义布局
class FCustomSingleChildLayout extends CustomSingleChildLayout
    implements FWidget {
  const FCustomSingleChildLayout({
    Key? key,
    required SingleChildLayoutDelegate delegate,
    FWidget? child,
  }) : super(
          key: key,
          delegate: delegate,
          child: child,
        );
}

/// 多子节点自定义布局
class FCustomMultiChildLayout extends CustomMultiChildLayout
    implements FWidget {
  FCustomMultiChildLayout({
    Key? key,
    required MultiChildLayoutDelegate delegate,
    List<FWidget> children = const <FWidget>[],
  }) : super(
          key: key,
          delegate: delegate,
          children: children,
        );
}

/// 指定布局Id的自定义组件块
class FLayoutId extends LayoutId implements FWidget {
  FLayoutId({
    Key? key,
    required Object id,
    required Widget child,
  }) : super(
          id: id,
          key: key,
          child: child,
        );
}
