import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// 底部导航栏
class FBottomNavigationBar extends BottomNavigationBar implements FWidget {
  FBottomNavigationBar({
    Key? key,
    required List<FBottomNavigationBarItem> items,
    ValueChanged<int>? onTap,
    int currentIndex = 0,
    double? elevation,
    BottomNavigationBarType? type,
    Color? fixedColor,
    Color? backgroundColor,
    double iconSize = 24.0,
    Color? selectedItemColor,
    Color? unselectedItemColor,
    IconThemeData? selectedIconTheme,
    IconThemeData? unselectedIconTheme,
    double selectedFontSize = 14.0,
    double unselectedFontSize = 12.0,
    TextStyle? selectedLabelStyle,
    TextStyle? unselectedLabelStyle,
    bool? showSelectedLabels,
    bool? showUnselectedLabels,
    MouseCursor? mouseCursor,
    bool? enableFeedback,
    BottomNavigationBarLandscapeLayout? landscapeLayout,
  }) : super(
          key: key,
          items: items,
          onTap: onTap,
          currentIndex: currentIndex,
          elevation: elevation,
          type: type,
          fixedColor: fixedColor,
          backgroundColor: backgroundColor,
          iconSize: iconSize,
          selectedItemColor: selectedItemColor,
          unselectedItemColor: unselectedItemColor,
          selectedIconTheme: selectedIconTheme,
          unselectedIconTheme: unselectedIconTheme,
          selectedFontSize: selectedFontSize,
          unselectedFontSize: unselectedFontSize,
          selectedLabelStyle: selectedLabelStyle,
          unselectedLabelStyle: unselectedLabelStyle,
          showSelectedLabels: showSelectedLabels,
          showUnselectedLabels: showUnselectedLabels,
          mouseCursor: mouseCursor,
          enableFeedback: enableFeedback,
          landscapeLayout: landscapeLayout,
        );
}

class FBottomNavigationBarItem extends BottomNavigationBarItem {
  const FBottomNavigationBarItem({
    required FWidget icon,
    String? label,
    FWidget? activeIcon,
    Color? backgroundColor,
    String? tooltip,
  }) : super(
          icon: icon,
          activeIcon: activeIcon,
          tooltip: tooltip,
          backgroundColor: backgroundColor,
          label: label,
        );
}
