import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// 导航组件
class FNavigator extends Navigator implements FWidget {
  const FNavigator({
    Key? key,
    List<Page<dynamic>> pages = const <Page<dynamic>>[],
    PopPageCallback? onPopPage,
    String? initialRoute,
    RouteListFactory onGenerateInitialRoutes =
        Navigator.defaultGenerateInitialRoutes,
    RouteFactory? onGenerateRoute,
    RouteFactory? onUnknownRoute,
    TransitionDelegate<dynamic> transitionDelegate =
        const DefaultTransitionDelegate<dynamic>(),
    bool reportsRouteUpdateToEngine = false,
    List<NavigatorObserver> observers = const <NavigatorObserver>[],
    bool requestFocus = true,
    String? restorationScopeId,
  }) : super(
          key: key,
          pages: pages,
          onPopPage: onPopPage,
          initialRoute: initialRoute,
          onGenerateInitialRoutes: onGenerateInitialRoutes,
          onGenerateRoute: onGenerateRoute,
          onUnknownRoute: onUnknownRoute,
          transitionDelegate: transitionDelegate,
          reportsRouteUpdateToEngine: reportsRouteUpdateToEngine,
          observers: observers,
          requestFocus: requestFocus,
          restorationScopeId: restorationScopeId,
        );
}
