import 'package:fis_ui/index.dart';
import 'package:flutter/material.dart';

import 'raw_scrollbar.dart';

class FAlwaysScrollListView extends FStatefulWidget implements FWidget {
  final FWidget child;
  final ScrollController scrollController;
  final Color? color;

  FAlwaysScrollListView({
    required this.child,
    required this.scrollController,
    this.color = Colors.grey,
  });

  @override
  FState<FStatefulWidget> createState() {
    return _AlwaysScrollListViewState();
  }
}

class _AlwaysScrollListViewState extends FState<FAlwaysScrollListView> {
  @override
  FWidget build(BuildContext context) {
    return FRawScrollbar(
      controller: widget.scrollController,
      trackVisibility: true,
      thumbVisibility: true,
      thumbColor: widget.color,
      radius: Radius.circular(20),
      child: widget.child,
    );
  }
}
