import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';
import 'package:flutter/rendering.dart';

/// 滚轮列表视图
class FListWheelScrollView extends ListWheelScrollView implements FWidget {
  FListWheelScrollView({
    Key? key,
    required double itemExtent,
    required List<FWidget> children,
    ScrollController? controller,
    ScrollPhysics? physics,
    double diameterRatio = RenderListWheelViewport.defaultDiameterRatio,
    double perspective = RenderListWheelViewport.defaultPerspective,
    double offAxisFraction = 0.0,
    bool useMagnifier = false,
    double magnification = 1.0,
    double overAndUnderCenterOpacity = 1.0,
    double squeeze = 1.0,
    ValueChanged<int>? onSelectedItemChanged,
    bool renderChildrenOutsideViewport = false,
    Clip clipBehavior = Clip.hardEdge,
    String? restorationId,
    ScrollBehavior? scrollBehavior,
  }) : super(
          key: key,
          itemExtent: itemExtent,
          children: children,
          controller: controller,
          physics: physics,
          diameterRatio: diameterRatio,
          perspective: perspective,
          offAxisFraction: offAxisFraction,
          useMagnifier: useMagnifier,
          magnification: magnification,
          overAndUnderCenterOpacity: overAndUnderCenterOpacity,
          squeeze: squeeze,
          onSelectedItemChanged: onSelectedItemChanged,
          renderChildrenOutsideViewport: renderChildrenOutsideViewport,
          clipBehavior: clipBehavior,
          restorationId: restorationId,
          scrollBehavior: scrollBehavior,
        );

  FListWheelScrollView.useDelegate({
    Key? key,
    required double itemExtent,
    required childDelegate,
    ScrollController? controller,
    ScrollPhysics? physics,
    double diameterRatio = RenderListWheelViewport.defaultDiameterRatio,
    double perspective = RenderListWheelViewport.defaultPerspective,
    double offAxisFraction = 0.0,
    bool useMagnifier = false,
    double magnification = 1.0,
    double overAndUnderCenterOpacity = 1.0,
    double squeeze = 1.0,
    ValueChanged<int>? onSelectedItemChanged,
    bool renderChildrenOutsideViewport = false,
    Clip clipBehavior = Clip.hardEdge,
    String? restorationId,
    ScrollBehavior? scrollBehavior,
  }) : super.useDelegate(
          key: key,
          itemExtent: itemExtent,
          childDelegate: childDelegate,
          controller: controller,
          physics: physics,
          diameterRatio: diameterRatio,
          perspective: perspective,
          offAxisFraction: offAxisFraction,
          useMagnifier: useMagnifier,
          magnification: magnification,
          overAndUnderCenterOpacity: overAndUnderCenterOpacity,
          squeeze: squeeze,
          onSelectedItemChanged: onSelectedItemChanged,
          renderChildrenOutsideViewport: renderChildrenOutsideViewport,
          clipBehavior: clipBehavior,
          restorationId: restorationId,
          scrollBehavior: scrollBehavior,
        );
}
