import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

const double _kMinThumbExtent = 18.0;
const Duration _kScrollbarFadeDuration = Duration(milliseconds: 300);
const Duration _kScrollbarTimeToFade = Duration(milliseconds: 600);

class FRawScrollbar extends RawScrollbar implements FWidget {
  FRawScrollbar({
    required FWidget child,
    ScrollController? controller,
    bool? thumbVisibility,
    OutlinedBorder? shape,
    Radius? radius,
    double? thickness,
    Color? thumbColor,
    double minThumbLength = _kMinThumbExtent,
    double? minOverscrollLength,
    bool? trackVisibility,
    Radius? trackRadius,
    Color? trackColor,
    Color? trackBorderColor,
    Duration fadeDuration = _kScrollbarFadeDuration,
    Duration timeToFade = _kScrollbarTimeToFade,
    Duration pressDuration = Duration.zero,
    bool Function(ScrollNotification) notificationPredicate =
        defaultScrollNotificationPredicate,
    bool? interactive,
    ScrollbarOrientation? scrollbarOrientation,
    double mainAxisMargin = 0.0,
    double crossAxisMargin = 0.0,
    EdgeInsets? padding,
    bool? isAlwaysShown,
  }) : super(
          child: child,
          controller: controller,
          thumbVisibility: thumbVisibility,
          shape: shape,
          radius: radius,
          thickness: thickness,
          thumbColor: thumbColor,
          minThumbLength: minThumbLength,
          minOverscrollLength: minOverscrollLength,
          trackVisibility: trackVisibility,
          trackRadius: trackRadius,
          trackColor: trackColor,
          trackBorderColor: trackBorderColor,
          fadeDuration: fadeDuration,
          timeToFade: timeToFade,
          pressDuration: pressDuration,
          notificationPredicate: notificationPredicate,
          interactive: interactive,
          scrollbarOrientation: scrollbarOrientation,
          mainAxisMargin: mainAxisMargin,
          crossAxisMargin: crossAxisMargin,
          padding: padding,
          isAlwaysShown: isAlwaysShown,
        );
}
