import 'dart:async';

import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';
import 'package:webviewx/webviewx.dart';

class FWebViewX extends WebViewX implements FWidget {
  FWebViewX({
    required double width,
    required double height,
    Key? key,
    String initialContent = 'about:blank',
    SourceType initialSourceType = SourceType.url,
    String? userAgent,
    Function(WebViewXController controller)? onWebViewCreated,
    Set<EmbeddedJsContent> jsContent = const {},
    Set<DartCallback> dartCallBacks = const {},
    bool ignoreAllGestures = false,
    JavascriptMode javascriptMode = JavascriptMode.unrestricted,
    AutoMediaPlaybackPolicy initialMediaPlaybackPolicy =
        AutoMediaPlaybackPolicy.requireUserActionForAllMediaTypes,
    void Function(String)? onPageStarted,
    void Function(String)? onPageFinished,
    FutureOr<NavigationDecision> Function(NavigationRequest)?
        navigationDelegate,
    void Function(WebResourceError)? onWebResourceError,
    WebSpecificParams webSpecificParams = const WebSpecificParams(),
    MobileSpecificParams mobileSpecificParams = const MobileSpecificParams(),
  }) : super(
          key: key,
          height: height,
          width: width,
          initialContent: initialContent,
          initialSourceType: initialSourceType,
          userAgent: userAgent,
          onWebViewCreated: onWebViewCreated,
          jsContent: jsContent,
          dartCallBacks: dartCallBacks,
          ignoreAllGestures: ignoreAllGestures,
          javascriptMode: javascriptMode,
          initialMediaPlaybackPolicy: initialMediaPlaybackPolicy,
          onPageStarted: onPageStarted,
          onPageFinished: onPageFinished,
          navigationDelegate: navigationDelegate,
          onWebResourceError: onWebResourceError,
          webSpecificParams: webSpecificParams,
          mobileSpecificParams: mobileSpecificParams,
        );
}
